Upstream information

CVE-2004-0109 at MITRE

Description

Buffer overflow in the ISO9660 file system component for Linux kernel 2.4.x, 2.5.x and 2.6.x, allows local users with physical access to overflow kernel memory and execute arbitrary code via a malformed CD containing a long symbolic link entry.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 49841 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SuSE Linux Desktop 1.0
  • k_athlon >= 2.4.19-353
  • k_deflt >= 2.4.19-353
  • k_psmp >= 2.4.19-353
  • k_smp >= 2.4.19-353
  • kernel-source >= 2.4.19.SuSE-353
Builds
SUSE LINUX Retail Solution 8
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • k_athlon >= 2.4.21-203
  • k_debug >= 2.4.21-203
  • k_deflt >= 2.4.21-203
  • k_psmp >= 2.4.21-203
  • k_smp >= 2.4.21-203
  • kernel-source >= 2.4.21-203
slox4,2.x86